﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Legend_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private bool isDragable = false;
        public MainWindow()
        {
            InitializeComponent();
        }
          

        private void SfChart_MouseMove(object sender, MouseEventArgs e)
        {
            var chart = sender as SfChart;
            if (isDragable)
            {
                        
                var _offsetX = e.GetPosition(chart);
                (chart.Legend as ChartLegend).OffsetX = _offsetX.X - chart.SeriesClipRect.Left;
                (chart.Legend as ChartLegend).OffsetY = _offsetX.Y - chart.SeriesClipRect.Top;
          
            }        

        }

       

        private void SfChart_MouseLeftButtonUP(object sender, MouseButtonEventArgs e)
        {
            isDragable = false;
          
        }

        private void legend_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            isDragable = true;
        }

      
    }
}
